﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MyCam : MonoBehaviour
{
    public GameObject Ball;
    Camera cam;

    public float Size;

    // Start is called before the first frame update
    void Start()
    {
        cam = GetComponent<Camera>();
    }

    // Update is called once per frame
    void Update()
    {
        float y = Ball.transform.position.y - 1f;
        float clampY = Mathf.Clamp(y, 0f, 150f);
        transform.position = new Vector3(0, clampY, -100f);

        float sizeEval = (Ball.transform.position.y) / 10f;
        Size = Mathf.Clamp(sizeEval, 5f, 8f);
        cam.orthographicSize = Size;
    }
}
