﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Walls : MonoBehaviour
{
    // Start is called before the first frame update
    public EdgeCollider2D LeftWall;
    public EdgeCollider2D RightWall;


    void Start()
    {
        Camera camera = Camera.main;
        Vector2 LDCorner = camera.ViewportToWorldPoint(new Vector3(0, 0f, camera.nearClipPlane));
        Vector2 RUCorner = camera.ViewportToWorldPoint(new Vector3(1f, 1f, camera.nearClipPlane));


        var lwPoints = new Vector2[2]
        {
            new Vector2(LDCorner.x, LDCorner.y),
            new Vector2(LDCorner.x, RUCorner.y * 40)
        };

        var rwPoints = new Vector2[2]
        {
            new Vector2(RUCorner.x, LDCorner.y),
            new Vector2(RUCorner.x, RUCorner.y * 40)
        };

        LeftWall.points = lwPoints;
        RightWall.points = rwPoints;
    }

    // Update is called once per frame
    void Update()
    {
        
    }
}
